
//#INCLUDE "DCPRINT.CH"
#include "DCDIALOG.CH"
#include "XBP.CH"
//#include "APPEVENT.CH"
//#include "DCBITMAP.CH"
//#INCLUDE "XBPPDF.CH"


FUNCTION MAIN()
LOCAL GetList := {}, oBrowse, oStatic,ENTRY_ACCEPTED
LOCAL aColPresRight,aColPreLeft
aPres := ;
  { { XBP_PP_COL_HA_FGCLR, GRA_CLR_WHITE },            /* Header FG Color  */  ;
    { XBP_PP_COL_HA_BGCLR, GRA_CLR_DARKGRAY },         /* Header BG Color  */  ;
    { XBP_PP_COL_DA_ROWSEPARATOR, XBPCOL_SEP_DOTTED }, /* Row Sep          */  ;
    { XBP_PP_COL_DA_COLSEPARATOR, XBPCOL_SEP_DOTTED }, /* Col Sep          */  ;
    { XBP_PP_COL_DA_FGCLR, GRA_CLR_BLACK },            /* Row FG Color     */  ;
    { XBP_PP_COL_DA_BGCLR, GRA_CLR_WHITE },            /* Row BG Color     */  ;
    { XBP_PP_COL_DA_ROWHEIGHT, 50 },                   /* Row Height       */  ;
    { XBP_PP_COL_HA_HEIGHT, 22 },                      /* Header Height    */  ;
    { XBP_PP_HILITE_FGCLR, GRA_CLR_BLACK },            /* Hilite FG color  */  ;
    { XBP_PP_HILITE_BGCLR, GRA_CLR_PALEGRAY },         /* Hilite BG color  */  ;
    { XBP_PP_COL_FA_FGCLR, GRA_CLR_WHITE },            /* Footer FG Color  */  ;
    { XBP_PP_COL_FA_BGCLR, GRA_CLR_DARKGRAY },         /* Footer BG Color  */  ;
    { XBP_PP_COL_DA_CELLALIGNMENT, XBPALIGN_TOP },     /* Alignment of text*/  ;
    { XBP_PP_COL_FA_HEIGHT, 10 }                       /* Footer Height    */  ;
  }

USE BANKFCST.DB NEW

@2,0 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 172,26 OBJECT oStatic
@3,1 DCBROWSE oBROWSE ALIAS 'BANKFCST' SIZE 170,24;
     HEADLINES 3;
     PRESENTATION aPres;
     CURSORMODE XBPBRW_CURSOR_ROW

DCSETPARENT oBROWSE

DCBROWSECOL DATA {{ || BANKFCST->CURR },{|| ' '},{|| ' '}};   && 20170529
            HEADER {|| 'Currency' }    WIDTH 6
DCBROWSECOL DATA {{ || BANKFCST->BANKBAL },{|| ' '},{|| ' '}} ALIGN XBPALIGN_RIGHT WIDTH 8;
            HEADER {|| 'Opening B/L' } WIDTH 10
DCBROWSECOL DATA  { {|| 'Collection'},{|| 'Payment'},{|| 'Balance'}} WIDTH 8 ALIGN XBPALIGN_LEFT
DCBROWSECOL DATA  { {|| padl(STR(BANKFCST->IN1,12,2),22)},{|| padl(str(BANKFCST->OUT1,12,2),22)},{|| padl(str(BANKFCST->NET1,12,2),22)}};
            HEADER {|| 'Next 30 Days'}  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA  { {|| STR(BANKFCST->IN2,12,2)},{|| str(BANKFCST->OUT2,12,2)},{|| str(BANKFCST->NET2,12,2)}};
            HEADER 'Next 60 Days'  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA  { {|| STR(BANKFCST->IN3,12,2)},{|| str(BANKFCST->OUT3,12,2)},{|| str(BANKFCST->NET3,12,2)}};
            HEADER 'Next 90 Days'  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA  { {|| STR(BANKFCST->IN4,12,2)},{|| str(BANKFCST->OUT4,12,2)},{|| str(BANKFCST->NET4,12,2)}};
            HEADER 'Next 120 Days'  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA  { {|| STR(BANKFCST->IN5,12,2)},{|| str(BANKFCST->OUT5,12,2)},{|| str(BANKFCST->NET5,12,2)}};
            HEADER 'Next 150 Days'  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA  { {|| STR(BANKFCST->IN6,12,2)},{|| str(BANKFCST->OUT6,12,2)},{|| str(BANKFCST->NET6,12,2)}};
            HEADER 'Next 180 Days'  ALIGN XBPALIGN_RIGHT width 12
DCBROWSECOL DATA {{|| BANKFCST->NET6},{|| ' '},{|| ' '}}    HEADER 'Closing B/L' ALIGN XBPALIGN_RIGHT WIDTH 8
DCSETPARENT

DCREAD GUI MODAL FIT BUTTONS DCGUI_BUTTON_OK TITLE 'Bank Forecast'

CLOSE DATABASES

RETURN NIL

